Page MenuHomePhabricator

1.36.0-wmf.28 deployment blockers
Closed, DeclinedPublicRelease

Details

Backup Conductor
brennen
Release Version
1.36.0-wmf.28
Release Date
Jan 25 2021, 12:00 AM

2021 week 04 1.36-wmf.28 Changes wmf/1.36.0-wmf.28

This MediaWiki Train Deployment is scheduled for the week of Monday, January 25th:

Monday January 25thTuesday, January 26thWednesday, January 27thThursday, January 28thFriday
Backports only.Branch wmf.28 and deploy to Group 0 Wikis.Deploy wmf.28 to Group 1 Wikis.Deploy wmf.28 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.28 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.27
Next: 1.36.0-wmf.29

Event Timeline

T260349 has been resolved by merging the necessary patches into Wikibase main. Therefore, I am removing it as a subtask.

Change 658479 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.28] Branch commit for wmf/1.36.0-wmf.28

https://gerrit.wikimedia.org/r/658479

Change 658479 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.28] Branch commit for wmf/1.36.0-wmf.28

https://gerrit.wikimedia.org/r/658479

brennen moved this task from Backlog to Logs/Train on the User-brennen board.
brennen added a subscriber: brennen.

Seeing several hits for T265720 error messages too.

Mentioned in SAL (#wikimedia-operations) [2021-01-27T20:29:59Z] <brennen> 1.36.0-wmf.28 (T271342): taking over train while dancy is afk; waiting on [[gerrit:658939]] to merge and will sync for verification on testwikis

Other new noise:

T273099: Undefined class constant 'BASE_CSS_CLASS'
T273101: Accessing WikiPage that cannot exist as a page: w:Help:Books/Book creator text.

Mentioned in SAL (#wikimedia-operations) [2021-01-28T21:15:29Z] <brennen> 1.36.0-wmf.28 train status (T271342): blockers resolved, going go group1 to be follow shortly by all wikis

1.36.0-wmf.28 is running all wikis.

Notable errors:
T273101: WikiPage related errors. Looks like Daniel Kinzler has started working on this.
T273242: MemcachedPeclBagOStuff...Serialization of 'Closure' is now allowed. Filed not too long ago. No action yet.

T273296 was not able to be resolved in a timely manner so we decided to roll all wikis back to .27.

T273296 was not able to be resolved in a timely manner so we decided to roll all wikis back to .27.

Note to train conductor: That bug was successfully root-caused, with patch merged to master, and .28 backports proposed.

Go blocked due to the introduction of T254838: Move User::changeableGroups and User::changeableByGroup to UserGroupManager and User::changeable(By)Groups being hard deprecated in the process.

@Urbanecbm has done the rollback:

https://gerrit.wikimedia.org/r/c/mediawiki/core/+/660533/
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/660649/

Will do the 1.36.0-wmf.28 updates today, exact schedule to be determinated.

1.36.0-wmf.28 has reached group 1 an hour or so ago. Thanks @Urbanecm for the backports and the verification!

@hasher et al, after discussion in IRC we release engineering has settled on rolling everything back to .27 and declining this .28 task. I will do the rollback at the next opportunity.

I moved remaining blockers over to the .29 task (T271343).

I will send an email notification too.

Rollback to .27 has finished.

Cool thank you for the rollback. I will follow up on T271343 :]